Bug 785464 - (CVE-2011-3670) CVE-2011-3670 Mozilla: Same-origin bypass using IPv6-like hostname syntax (MFSA 2012-02)
CVE-2011-3670 Mozilla: Same-origin bypass using IPv6-like hostname syntax (MF...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120131,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-28 21:12 EST by Huzaifa S. Sidhpurwala
Modified: 2012-02-01 04:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-01 04:04:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-01-28 21:12:25 EST
In Firefox, it is possible to make requests using IPv6 syntax (http://[example.com]/) via XMLHttpRequest objects.  If an HTTP proxy has been configured, the request will be handled by the proxy. Depending on proxy implementations some errors may occur. Error messages from HTTP proxies often include sensitive network diagnostic information such as client IP addresses, internal hostnames, email addresses and possibly a copy of the HTTP request.
Because http://example.com/ and http://[example.com]/ are same origin, the XMLHttpRequest object can be used to read this information from the response.
A remote site may be able to construct such requests in order to reduce a user's privacy.  Additionally, if a copy of the HTTP request is included in the error response, it may be possible to read cookies marked as HttpOnly in XSS situations.

Reference:
https://bugzilla.mozilla.org/show_bug.cgi?id=504014
Comment 1 Tomas Hoger 2012-01-31 14:53:13 EST
Public now via:
  http://www.mozilla.org/security/announce/2012/mfsa2012-02.html
Comment 2 Vincent Danen 2012-01-31 15:21:43 EST
External References:

http://www.mozilla.org/security/announce/2012/mfsa2012-02.html
Comment 3 errata-xmlrpc 2012-01-31 18:44:56 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0080 https://rhn.redhat.com/errata/RHSA-2012-0080.html
Comment 4 errata-xmlrpc 2012-01-31 19:07:19 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0079 https://rhn.redhat.com/errata/RHSA-2012-0079.html
Comment 5 errata-xmlrpc 2012-02-01 03:25:05 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2012:0085 https://rhn.redhat.com/errata/RHSA-2012-0085.html
Comment 6 errata-xmlrpc 2012-02-01 03:25:17 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2012:0084 https://rhn.redhat.com/errata/RHSA-2012-0084.html

Note You need to log in before you can comment on or make changes to this bug.